Version: 12.3
Date: 2023-05-19
Author: bgstack15
Message: The source release appears not to actually include the logic that performs operations in parallel, so this patch doesn't actually do anything.
--- a/FreeFileSync/Source/ui/folder_selector.cpp
+++ b/FreeFileSync/Source/ui/folder_selector.cpp
@@ -260,7 +260,7 @@ void FolderSelector::onSelectFolder(wxCo
 void FolderSelector::onSelectAltFolder(wxCommandEvent& event)
 {
     Zstring folderPathPhrase = getPath();
-    size_t parallelOps = getDeviceParallelOps_ ? getDeviceParallelOps_(folderPathPhrase) : 1;
+    size_t parallelOps = getDeviceParallelOps_ ? getDeviceParallelOps_(folderPathPhrase) : 5;
 
     const AbstractPath oldPath = createAbstractPath(folderPathPhrase);
 
--- a/FreeFileSync/Source/ui/small_dlgs.cpp
+++ b/FreeFileSync/Source/ui/small_dlgs.cpp
@@ -398,11 +398,14 @@ CloudSetupDlg::CloudSetupDlg(wxWindow* p
 
     m_spinCtrlConnectionCount->SetValue(parallelOps);
 
-    m_spinCtrlConnectionCount->Disable();
-    m_staticTextConnectionCountDescr->Hide();
+    if (!canChangeParallelOp)
+    {
+        m_spinCtrlConnectionCount->Disable();
+        m_staticTextConnectionCountDescr->Hide();
 
-    m_spinCtrlChannelCountSftp->Disable();
-    m_buttonChannelCountSftp  ->Disable();
+        m_spinCtrlChannelCountSftp->Disable();
+        m_buttonChannelCountSftp  ->Disable();
+    }
     //---------------------------------------------------------
 
     //set up default view for dialog size calculation
@@ -953,7 +956,7 @@ CopyToDialog::CopyToDialog(wxWindow* par
 
     targetFolder.emplace(this, *this, *m_buttonSelectTargetFolder, *m_bpButtonSelectAltTargetFolder, *m_targetFolderPath,
                          targetFolderLastSelected, sftpKeyFileLastSelected, nullptr /*staticText*/, nullptr /*wxWindow*/, nullptr /*droppedPathsFilter*/,
-    [](const Zstring& folderPathPhrase) { return 1; } /*getDeviceParallelOps*/, nullptr /*setDeviceParallelOps*/);
+    [](const Zstring& folderPathPhrase) { return 5; } /*getDeviceParallelOps*/, nullptr /*setDeviceParallelOps*/);
 
     m_targetFolderPath->setHistory(std::make_shared<HistoryList>(folderHistory, folderHistoryMax));
 
--- a/FreeFileSync/Source/ui/sync_cfg.cpp
+++ b/FreeFileSync/Source/ui/sync_cfg.cpp
@@ -513,7 +513,7 @@ commandHistoryOut_(commandHistory),
 globalPairCfg_(globalPairCfg),
 localPairCfg_(localPairCfg),
 showNotesPanel_(!globalPairCfg.miscCfg.notes.empty()),
-    enableExtraFeatures_(false),
+    enableExtraFeatures_(true),
 showMultipleCfgs_(showMultipleCfgs),
 globalLogFolderPhrase_(globalLogFolderPhrase)
 {
